The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

В grep 2.6.1 исправлены проблемы с однобайтовыми кодировками

26.03.2010 10:18

При попытке использования утилиты Grep 2.6, в которой была улучшена поддержка работы с многобайтовыми кодировками, пользователи столкнулись с прекращением работы выборки диапазонов символов ([a-z]) для однобайтовых кодировок в случае использования локали, отличной от "C" (POSIX). Для исправления данной ошибки в экстренном порядке выпущен релиз grep 2.6.1. Кроме того, в новой версии было исправлено несколько других проблем:

  • Устранен крах при использовании многобайтовых символов при определении класса символов ([:класс:]);
  • Исправлен некорректный вывод результатов выборки по словам ("-w") в случае возникновения в поисковой маске обратных ссылок;
  • Исправлены проблемы сборки на платформе Solaris 8.


  1. Главная ссылка к новости (http://savannah.gnu.org/forum/...)
  2. OpenNews: Новая версия утилиты Grep 2.6 с улучшенной поддержкой UTF-8
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/25957-grep
Ключевые слова: grep
Поддержать дальнейшую публикацию новостей на OpenNET.


Обсуждение (2) RSS
  • 1, i (??), 20:13, 28/03/2010 [ответить]  
  • +/
    о Solaris 8 пора бы уже забыть, сам сан^w оракл уже давно не сапортит.
     
  • 2, Аноним (-), 08:14, 29/03/2010 [ответить]  
  • +/
    какаято лажовая ошибка - у них что unit-тестов чтоли нету?
     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:
    При перепечатке указание ссылки на opennet.ru обязательно



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру